namespace Syntriax.Engine.Physics2D.Primitives;

public static class Vector2DExtensions
{
    public static float Length(this Vector2D point) => Vector2D.Length(point);
    public static float LengthSquared(this Vector2D point) => Vector2D.LengthSquared(point);

    public static Vector2D Normalize(this Vector2D point) => Vector2D.Normalize(point);
    public static Vector2D FromTo(this Vector2D from, Vector2D to) => Vector2D.FromTo(from, to);

    public static float Cross(this Vector2D left, Vector2D right) => Vector2D.Cross(left, right);
    public static float AngleBetween(this Vector2D left, Vector2D right) => Vector2D.Angle(left, right);
    public static float Dot(this Vector2D left, Vector2D right) => Vector2D.Dot(left, right);
}
